
package UniversoFisico;

import net.sf.jirr.IAnimatedMeshSceneNode;



/**
 *
 * L'interfaccia IRegion rappresenta 
 * il contratto che dovr rispettare una Region nel 
 * mondo virtuale in cui dovranno muoversi gli agenti
 */

public interface IRegion {


	/**
	 * Il metodo ritorna la locazione sotto forma di stringa 
	 * dell'infrastruttura jade che contiene la regione confinante a Nord.
	 * 
	 */
public String getNorthConfine();

/**
 * Il metodo ritorna la locazione sotto forma di stringa 
 * dell'infrastruttura jade che contiene la regione confinante a Sud.
 * 
 */
public String getSouthConfine();

/**
 * Il metodo ritorna la locazione sotto forma di stringa 
 * dell'infrastruttura jade che contiene la regione confinante a Ovest.
 * 
 */

public String getWestConfine();

/**
 * Il metodo ritorna la locazione sotto forma di stringa 
 * dell'infrastruttura jade che contiene la regione confinante a Ovest.
 * 
 */

public String getEastConfine();

/**
 *Setta la locazione a nord
 */

public void setNorthConfine(String s);

/**
 *setta la locazione a sud
 */



public void setSouthConfine(String s);

/**
 *setta la locazione a Est
 */


public void setEasthConfine(String s);

/**
 *setta la locazione a Ovest
 */
public void setWestConfine(String s);

/**
 * Recupera la descrizione XML della regione.
 * @return
 */


public String getXmlDescription();

public int getMaxBoundX();
public int getMaxBoundY();

public String getModelName();

public SkyBox getSkyBox();


}